Subject: Re: [RFC PATCH] format-patch: thread as reply to cover letter even with in-reply-to

From: Jakub Narebski <[email-masked]>
Date: Mon, 16 Feb 2009 12:52:50 -0800 (PST)

Thomas Rast <[email-masked]> writes:
> Jay Soffian wrote:

> > I think this change may be okay, but I think to go with it the
> > cover-letter and all the patches should have a "References:" header
> > with the message-id given by --in-reply-to.
> 
> That's a completely separate issue.  I'm only proposing to change
> what is formatted as a reply to what, the In-Reply-To and References
> formatting is handled by the existing code.

Perhaps a follow-up patch then?

>  That being said...
> 
> > RFC 2822 says:
> > 
> >    The "In-Reply-To:" and "References:" fields are used when creating a
> >    reply to a message.  They hold the message identifier of the original
> >    message and the message identifiers of other messages (for example,
> >    in the case of a reply to a message which was itself a reply).  The
> >    "In-Reply-To:" field may be used to identify the message (or
> >    messages) to which the new message is a reply, while the
> >    "References:" field may be used to identify a "thread" of
> >    conversation.
> 
> The References formatting can't satisfy the following requirement, two
> paragraphs further down in the RFC,
> 
>    The "References:" field will contain the contents of the parent's
>    "References:" field (if any) followed by the contents of the parent's
>    "Message-ID:" field (if any).
> 
> because it doesn't have access to the mail being replied to.  It
> merely sets References to the same as In-Reply-To.

I think "References:" field can be shortened, and although IIRC it is
recommended to leave first ancestor, two separators, and three last
ancestors in shortened "References:" header, it would be better if
patches had both '--in-reply-to' message id AND cover letter id in
"References:" header.  That would make for safer threading...

-- 
Jakub Narebski
Poland
ShadeHawk on #git